# 54. クエリ: 「SoilDataset」からベクトルデータを取得

アップロードされたジオメトリの種類に応じて（ポイント／マルチポイント／ポリゴン／マルチポリゴンとして）属性とジオメトリを含むgeojsonとして「SoilDataset」から元データを取得するクエリ。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query ReadSoilDatasetSource{
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      soilDatasets(soilDatasetUuids: ["<placeholder_of_soildataset_uuid>"]) {
        vectorDataGeojson
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/54-kueri-soildatasetkarabekutorudtawo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
